## Validation de la géométrie

Qualigéo permet la spécification et le contrôle de la géométrie des types d’entité. Ce contrôle est basé sur l’utilisation du Transformer GeometryValidator de FME. Ce dernier effectue les contrôles de validité selon les spécifications de l’OGC (simple ou valide), et/ ou selon des critères géométriques sélectionnés en paramètres.

### Critères de validation de la géométrie

<style type="text/css">
.tg  {border-collapse:collapse;border-spacing:0;}
.tg td{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  overflow:hidden;padding:10px 5px;word-break:normal;}
.tg th{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  font-weight:normal;overflow:hidden;padding:10px 5px;word-break:normal;}
.tg .tg-o6tx{background-color:#eae8e8;border-color:#d6d6d6;text-align:left;vertical-align:top}
.tg .tg-0pn5{background-color:#923288;border-color:#d6d6d6;color:#ffffff;text-align:left;vertical-align:top}
.tg .tg-avj4{border-color:#d6d6d6;text-align:left;vertical-align:top}
</style>
<table class="tg">
  <tr>
    <th class="tg-0pn5">Critère de validation</th>
    <th class="tg-0pn5">Définition</th>
    <th class="tg-0pn5">Chaîne WKT</th>
    <th class="tg-0pn5">Exemple de géométrie</th>
  </tr>
  <tr>
    <td class="tg-0pn5">Géométries corrompues ou dégénérées</td>
    <td class="tg-avj4">L<span style="font-weight:400;font-style:normal">es dégénérescences et </span><br><span style="font-weight:400;font-style:normal">corruptions vont être détectées. Une géométrie dégénérée est une </span><br><span style="font-weight:400;font-style:normal">géométrie dont le type de géométrie peut être simplifié. Un polygone </span><br><span style="font-weight:400;font-style:normal">avec une surface nulle, par exemple, est dégénéré, et peut être </span><br><span style="font-weight:400;font-style:normal">simplifié en une ligne, un point ou un IFMENull. Une géométrie </span><br><span style="font-weight:400;font-style:normal">corrompue, quant à elle, contient des éléments conflictuels dans la </span><br><span style="font-weight:400;font-style:normal">définition de sa géométrie (ex : un arc dont les angles et les points </span><br><span style="font-weight:400;font-style:normal">finals sont incohérents).</span><br><span style="font-weight:400;font-style:normal"></span></td>
    <td class="tg-avj4"><span style="font-weight:normal;color:rgb(146, 50, 136)">POLYGON ((15 35))</span><br><span style="font-weight:normal"></span></td>
    <td class="tg-avj4"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/5a57cfe99d6f5297fc2db7e2ae34790440f9ad59/Ressources/Images/geom1.png" width="400" height="300"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">Auto intersection</td>
    <td class="tg-o6tx">L<span style="font-weight:400;font-style:normal">es points d’auto-intersection sont détectés.</span><br><span style="font-weight:400;font-style:normal"></span></td>
    <td class="tg-o6tx"><span style="font-weight:normal">POLYGON ((0 11,0 20,10 20,10 11,0 11),(0 15,2 16,0 17,0 15)) </span><br><span style="font-weight:normal"></span></td>
    <td class="tg-o6tx"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/5a57cfe99d6f5297fc2db7e2ae34790440f9ad59/Ressources/Images/geom2.png" width="400" height="300"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">Points consécutifs dupliqués en 3D</td>
    <td class="tg-avj4"><span style="font-weight:400;font-style:normal">La détection des entités dupliquées est réalisée en 3D.</span><br><span style="font-weight:400;font-style:normal"></span></td>
    <td class="tg-avj4">LINESTRING Z (0 0 10,0 0 10,1 1 10,2 2 10)</td>
    <td class="tg-avj4"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/5a57cfe99d6f5297fc2db7e2ae34790440f9ad59/Ressources/Images/geom3_4.png" width="400" height="300"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">Points consécutifs dupliqués en 2D</td>
    <td class="tg-o6tx">L<span style="font-weight:400;font-style:normal">a détection des entités dupliquées est réalisée en 2D.</span><br><span style="font-weight:400;font-style:normal"></span></td>
    <td class="tg-o6tx">LINESTRING (0 0,0 0,1 1,2 0)</td>
    <td class="tg-o6tx"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/5a57cfe99d6f5297fc2db7e2ae34790440f9ad59/Ressources/Images/geom3_4.png" width="400" height="300"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">Contient des valeurs NaN ou infinies</td>
    <td class="tg-avj4">L<span style="font-weight:400;font-style:normal">es NaN (Not a Number) et les valeurs infinies vont être détectées.</span><br><span style="font-weight:400;font-style:normal"></span></td>
    <td class="tg-avj4">POINT (0 nan)</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">Contient des parties de géométries nulles</td>
    <td class="tg-o6tx">L<span style="font-weight:400;font-style:normal">es IFMENull vont être </span><br><span style="font-weight:400;font-style:normal">détectés. Noter qu’un IFMENull n’est considéré comme une « partie » que </span><br><span style="font-weight:400;font-style:normal">s’il provient d’un agrégat. Seuls les IFMNull enfants de certains </span><br><span style="font-weight:400;font-style:normal">agrégats sont considérés comme des « parties ».</span><br><span style="font-weight:400;font-style:normal"></span></td>
    <td class="tg-o6tx">GEOMETRYCOLLECTION (POLYGON ((0 0,1 0,1 1,0 1,0 0)),POLYGON ((3 0,4 0,4 4,3 4,0 4,3 0)),GEOMETRYCOLLECTION EMPTY)</td>
    <td class="tg-o6tx"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/5a57cfe99d6f5297fc2db7e2ae34790440f9ad59/Ressources/Images/geom6.png" width="400" height="300"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">Vertex "normaux" manquants</td>
    <td class="tg-avj4"><span style="font-weight:400;font-style:normal">Les vertex sans normale et les coordonnées de texture manquantes sont détectés (un vertex est rapporté par géométrie).</span><br><span style="font-weight:400;font-style:normal"></span></td>
    <td class="tg-avj4"><span style="font-weight:normal">MULTILINESTRING Z ((1 5 0,1 5 0),(1 5 0,2 3 4),(2 3 4,1 5 0))</span><br><span style="font-weight:normal"></span></td>
    <td class="tg-avj4"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/5a57cfe99d6f5297fc2db7e2ae34790440f9ad59/Ressources/Images/geom7.png" width="400" height="300"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">Surface non plane</td>
    <td class="tg-o6tx"><span style="font-weight:400;font-style:normal">Les faces et parties de </span><br><span style="font-weight:400;font-style:normal">surfaces non planes, comme par exemple des parties de mailles ou des </span><br><span style="font-weight:400;font-style:normal">parties de surfaces composées, vont être détectées. Une face ou une </span><br><span style="font-weight:400;font-style:normal">partie de surface non planaire n’a pas tous les vertex dans le même plan</span><br><span style="font-weight:400;font-style:normal"> de l’espace.</span><br><span style="font-weight:400;font-style:normal"></span></td>
    <td class="tg-o6tx"></td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">Limites de solides invalides</td>
    <td class="tg-avj4"><span style="font-weight:400;font-style:normal">Les types d’anomalies suivants peuvent être détectés :<br>
- vertex non utilisés,<br>
- pas assez de faces,<br>
- mauvaise orientation de face,<br>
- géométrie 2-Manifold invalide,<br>
- surface auto-intersectée,<br>
- surface non fermée,<br>
- mauvaise orientation de surface,<br>
- plusieurs composants connectés.</span></td>
    <td class="tg-avj4"></td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">Vides de solides invalides</td>
    <td class="tg-o6tx"><span style="font-weight:400;font-style:normal">Un vide est une cavité, ou une région vide à l’intérieur d’un solide et est définie par sa bordure interne. Un solide est défini par sa bordure externe et une ou plusieurs bordures internes. Les types d’anomalies suivants peuvent être détectés :<br>
- dupliquer les enveloppes,<br>
- intersection des enveloppes,<br>
- coquille interne à l’extérieur de coquille externe,<br>
- intérieur de coquille non connecté,<br>
- bordures de solide invalides.</span></td>
    <td class="tg-o6tx"><span style="font-weight:normal">MULTILINESTRING Z ((0 0 0,10 0 0),(10 0 0,10 0 10),(10 0 10,0 0 10),(0 0 10,0 0 </span><br><span style="font-weight:normal">0),(10 0 0,10 10 0),(10 10 0,10 10 10),(10 10 10,10 0 10),(10 0 10,10 0 0),(0 0 </span><br><span style="font-weight:normal">0,0 10 0),(0 10 0,10 10 0),(10 10 0,10 0 0),(10 0 0,0 0 0),(0 0 0,0 0 10),(0 0 </span><br><span style="font-weight:normal">10,0 10 10),(0 10 10,0 10 0),(0 10 0,0 0 0),(0 0 10,10 0 10),(10 0 10,10 10 </span><br><span style="font-weight:normal">10),(10 10 10,0 10 10),(0 10 10,0 0 10),(0 10 0,0 10 10),(0 10 10,10 10 10),(10 </span><br><span style="font-weight:normal">10 10,10 10 0),(10 10 0,0 10 0),(2 2 2,2 2 5),(2 2 5,5 2 5),(5 2 5,5 2 2),(5 2 </span><br><span style="font-weight:normal">2,2 2 2),(2 2 2,5 2 2),(5 2 2,5 5 2),(5 5 2,2 5 2),(2 5 2,2 2 2),(5 2 2,5 2 </span><br><span style="font-weight:normal">5),(5 2 5,5 5 5),(5 5 5,5 5 2),(5 5 2,5 2 2),(2 2 2,2 5 2),(2 5 2,2 5 5),(2 5 </span><br><span style="font-weight:normal">5,2 2 5),(2 2 5,2 2 2),(2 2 5,2 5 5),(2 5 5,5 5 5),(5 5 5,5 2 5),(5 2 5,2 2 </span><br><span style="font-weight:normal">5),(2 5 2,5 5 2),(5 5 2,5 5 5),(5 5 5,2 5 5),(2 5 5,2 5 2),(5 5 5,5 7 5),(5 7 </span><br><span style="font-weight:normal">5,5 7 7),(5 7 7,5 5 7),(5 5 7,5 5 5),(5 5 5,7 5 5),(7 5 5,7 7 5),(7 7 5,5 7 </span><br><span style="font-weight:normal">5),(5 7 5,5 5 5),(5 5 5,5 5 7),(5 5 7,7 5 7),(7 5 7,7 5 5),(7 5 5,5 5 5),(5 5 </span><br><span style="font-weight:normal">7,5 7 7),(5 7 7,7 7 7),(7 7 7,7 5 7),(7 5 7,5 5 7),(5 7 5,7 7 5),(7 7 5,7 7 </span><br><span style="font-weight:normal">7),(7 7 7,5 7 7),(5 7 7,5 7 5),(7 5 5,7 5 7),(7 5 7,7 7 7),(7 7 7,7 7 5),(7 7 </span><br><span style="font-weight:normal">5,7 5 5))</span></td>
    <td class="tg-o6tx"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/5a57cfe99d6f5297fc2db7e2ae34790440f9ad59/Ressources/Images/geom10.png" width="400" height="300"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">Toutes les erreurs OGC simples</td>
    <td class="tg-avj4">La contrainte OGC simple regroupe les trois contraintes :<br>- auto Intersection,<br>- point répété,<br>- géométrie corrompue.</td>
    <td class="tg-avj4"></td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">Toutes les erreurs OGC valides</td>
    <td class="tg-o6tx">La contrainte OGC valide regroupes les contraintes :<br>- trou à l’extérieur,<br>- trous imbriqués,<br>- intérieur déconnecté,<br>- anneau auto intersecté,<br>- enveloppes complémentaires,<br>- anneaux dupliqués,<br>- pas assez de points,<br>- coordonnée invalide,<br>- anneau non fermé,<br>- géométrie corrompue.</td>
    <td class="tg-o6tx"></td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">Coordonnées de texture manquantes</td>
    <td class="tg-avj4"><span style="font-weight:400;font-style:normal">Certaines géométries, </span><br><span style="font-weight:400;font-style:normal">comme les mailles et les faces, supportent les apparences. Ces </span><br><span style="font-weight:400;font-style:normal">géométries peuvent être incluses dans des surfaces complexes ou de </span><br><span style="font-weight:400;font-style:normal">solides. Parfois, les apparences ont des textures associées, en raster. </span><br><span style="font-weight:400;font-style:normal">Si c’est le cas, il est nécessaire que les géométries correspondantes </span><br><span style="font-weight:400;font-style:normal">disposent des coordonnées de texture. Sans celles-ci, il ne sera par </span><br><span style="font-weight:400;font-style:normal">exemple pas possible, lors de la visualisation, de faire le lien entre </span><br><span style="font-weight:400;font-style:normal">la texture et la géométrie correspondante.</span><br><span style="font-weight:400;font-style:normal"></span></td>
    <td class="tg-avj4"></td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">Orientation surfacique invalide</td>
    <td class="tg-o6tx"><span style="font-weight:400;font-style:normal">Les surfaces telles que </span><br><span style="font-weight:400;font-style:normal">les polygones, ellipses et polygones troués ont une orientation. Cette </span><br><span style="font-weight:400;font-style:normal">orientation peut suivre la règle de la main droite, de la main gauche ou</span><br><span style="font-weight:400;font-style:normal"> être invalide. Une orientation de type règle de main gauche signifie </span><br><span style="font-weight:400;font-style:normal">qu'une limite extérieure a ses vertex ordonnés dans le sens inverse des </span><br><span style="font-weight:400;font-style:normal">aiguilles d'une montre et les trous ont leurs vertex ordonnés dans le </span><br><span style="font-weight:400;font-style:normal">sens des aiguilles d'une montre. Avec une orientation de type règle de </span><br><span style="font-weight:400;font-style:normal">la main droite, la limite externe d'un polygone a ses vertex ordonnés </span><br><span style="font-weight:400;font-style:normal">dans le sens horaire, et les trous ont leurs vertex ordonnés dans le </span><br><span style="font-weight:400;font-style:normal">sens inverse. Un exemple de polygone invalide pourrait être un polygone </span><br><span style="font-weight:400;font-style:normal">troué dont les limites externes et les limites de trous orientées dans </span><br><span style="font-weight:400;font-style:normal">le même sens.</span><br><span style="font-weight:400;font-style:normal"></span></td>
    <td class="tg-o6tx">POLYGON ((31 21,31 30,40 30,40 21,31 21),(35 25,35 27,36 27,36 25,35 25))</td>
    <td class="tg-o6tx"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/5a57cfe99d6f5297fc2db7e2ae34790440f9ad59/Ressources/Images/geom11.png" width="400" height="300"></td>
  </tr>
</table>
<br>

#### Exemple de polygones et contraintes OGC

<style type="text/css">
.tg  {border-collapse:collapse;border-spacing:0;}
.tg td{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  overflow:hidden;padding:10px 5px;word-break:normal;}
.tg th{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  font-weight:normal;overflow:hidden;padding:10px 5px;word-break:normal;}
.tg .tg-35p5{background-color:#eae8e8;border-color:#d6d6d6;color:#333333;text-align:left;vertical-align:top}
.tg .tg-o6tx{background-color:#eae8e8;border-color:#d6d6d6;text-align:left;vertical-align:top}
.tg .tg-0pn5{background-color:#923288;border-color:#d6d6d6;color:#ffffff;text-align:left;vertical-align:top}
.tg .tg-avj4{border-color:#d6d6d6;text-align:left;vertical-align:top}
.tg .tg-xn01{border-color:#d6d6d6;color:rgb(0, 0, 0);text-align:left;vertical-align:middle}
</style>
<table class="tg">
<thead>
  <tr>
    <th class="tg-0pn5">Type de validation OGC</th>
    <th class="tg-0pn5">Critère OGC<br></th>
    <th class="tg-0pn5">Chaîne WKT</th>
    <th class="tg-0pn5">Exemple de géométrie<br></th>
  </tr>
</thead>
<tbody>
  <tr>
    <td class="tg-0pn5">OGC Valide</td>
    <td class="tg-avj4">Auto intersection</td>
    <td class="tg-avj4">POLYGON ((0 11,0 20,10 20,10 11,0 11),(0 15,2 16,0 17,0 15))</td>
    <td class="tg-avj4"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/c46e065a7ddec4662824c4e80d9c7fec078ed9d0/Ressources/Images/ogc_validation_1.PNG" width="400" height="300"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">OGC Valide</td>
    <td class="tg-o6tx">Géométries corrompues ou dégénérées</td>
    <td class="tg-35p5"><span style="font-weight:normal">POLYGON ((41 11,50 11,50 20,41 20,41 12,41 11),(45 12))</span></td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">OGC Valide</td>
    <td class="tg-avj4">Auto intersection</td>
    <td class="tg-avj4"><span style="font-weight:normal">POLYGON ((21 0,21 10,30 10,30 0,21 0),(27 9,29 9,28 11,27 9))</span></td>
    <td class="tg-avj4"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/c46e065a7ddec4662824c4e80d9c7fec078ed9d0/Ressources/Images/ogc_validation_3.PNG" width="400" height="300"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">OGC Valide</td>
    <td class="tg-o6tx">Intérieur déconnecté</td>
    <td class="tg-o6tx">POLYGON ((11 11,11 20,20 20,20 11,11 11),(18 11,20 12,18 12,18 11))</td>
    <td class="tg-avj4"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/c46e065a7ddec4662824c4e80d9c7fec078ed9d0/Ressources/Images/ogc_validation_4.PNG" width="400" height="300"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">OGC Valide</td>
    <td class="tg-xn01"> Trou à l'extérieur de l'enveloppe</td>
    <td class="tg-avj4">POLYGON ((41 0,50 0,50 10,41 10,41 0),(51 1,52 1,52 3,51 3,51 1))</td>
    <td class="tg-avj4"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/c46e065a7ddec4662824c4e80d9c7fec078ed9d0/Ressources/Images/ogc_validation_5.PNG" width="400" height="300"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">OGC Valide</td>
    <td class="tg-o6tx"><span style="font-weight:normal">Trous imbriqués</span></td>
    <td class="tg-o6tx">POLYGON ((21 21,21 30,30 30,30 21,21 21),(22 23,26 23,26 28,22 28,22 23),(23 24,25 24,25 27,23 27,23 24))</td>
    <td class="tg-avj4"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/c46e065a7ddec4662824c4e80d9c7fec078ed9d0/Ressources/Images/ogc_validation_6.PNG" width="400" height="300"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">OGC Valide</td>
    <td class="tg-avj4">Auto intersection</td>
    <td class="tg-avj4">POLYGON ((11 21,11 30,20 30,20 21,11 21),(15 23,17 23,17 25,15 25,15 23),(16 24,18 24,18 26,16 26,16 24))</td>
    <td class="tg-avj4"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/c46e065a7ddec4662824c4e80d9c7fec078ed9d0/Ressources/Images/ogc_validation_7.PNG" width="400" height="300"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">OGC Valide</td>
    <td class="tg-o6tx">Géométries corrompues ou dégénérées</td>
    <td class="tg-o6tx"><span style="font-weight:normal">POLYGON ((15 35))</span><br></td>
    <td class="tg-avj4"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/c46e065a7ddec4662824c4e80d9c7fec078ed9d0/Ressources/Images/ogc_validation_8.PNG" width="400" height="300"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">OGC Valide</td>
    <td class="tg-avj4">Anneaux dupliqués</td>
    <td class="tg-avj4">POLYGON ((31 21,40 21,40 30,31 30,31 21),(35 25,36 25,36 27,35 27,35 25),(35 25,36 25,36 27,35 27,35 25))</td>
    <td class="tg-avj4"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/c46e065a7ddec4662824c4e80d9c7fec078ed9d0/Ressources/Images/ogc_validation_9.PNG" width="400" height="300"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">OGC Valide</td>
    <td class="tg-o6tx">Coordonnée invalide</td>
    <td class="tg-o6tx"><span style="font-weight:normal">POINT (0 nan)</span><br></td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">OGC Valide</td>
    <td class="tg-avj4">Enveloppes complémentaires</td>
    <td class="tg-avj4"><span style="font-weight:normal">MULTIPOLYGON(((0 0, 10 0, 10 10, 0 10, 0 0)),((0 </span><br><span style="font-weight:normal">0, 10 0, 10 10, 0 10, 0 0)))</span></td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">OGC Valide</td>
    <td class="tg-o6tx"><span style="font-weight:normal">Anneaux dupliqués</span></td>
    <td class="tg-o6tx"><span style="font-weight:normal">MULTIPOLYGON(((0 0, 10 0, 10 10, 0 10, 0 0)),((0 0, 10 0, 10 10, 0 10, 0 0)))</span></td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">OGC Valide</td>
    <td class="tg-avj4"><span style="font-weight:normal">Anneau non fermé</span></td>
    <td class="tg-avj4"><span style="font-weight:normal">POLYGON((0 0, 0 10, 10 10, 10 0))</span></td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">OGC Simple</td>
    <td class="tg-o6tx">Géométries corrompues ou dégénérées</td>
    <td class="tg-o6tx"><span style="font-weight:normal">LINESTRING (0 0,0 0)</span></td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">OGC Simple</td>
    <td class="tg-avj4">Auto intersection</td>
    <td class="tg-avj4"><span style="font-weight:normal">POLYGON ((5 0,10 0,10 10,0 10,0 0,5 0,3 3,5 6,7 3,5 0))</span></td>
    <td class="tg-avj4"><img src="https://gitlab.veremes.net/Documentation/doc_qualigeo/raw/c46e065a7ddec4662824c4e80d9c7fec078ed9d0/Ressources/Images/ogc_validation_15.PNG" width="400" height="300"></td>
  </tr>
</tbody>
</table>

<br>
Cas de figure de lignes valides/invalides :

![](../Ressources/Images/line_Valid_Invalid.PNG)

Cas de figure de multi-polygones valides/invalides :

![](../Ressources/Images/multi-polygones_valides_invalides.PNG)

Cas de figure de multi-lignes valides/invalides :

![](../Ressources/Images/multi-lignes_valides_invalides.PNG)